For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
      • GETList Assets
      • POSTUpload Asset
      • GETGet Asset
      • DELDelete Asset
      • PATCHUpdate Asset
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
AssetsAssets

Update Asset

PATCH
https://api.webflow.com/beta/assets/:asset_id
PATCH
/beta/assets/:asset_id
$curl -X PATCH "https://api.webflow.com/beta/assets/580e63fc8c9a982ac9b8b745?localeId=65427cf400e02b306eaa04a0" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "63e5889e7fe4eafa7384cea4",
3 "contentType": "image/png",
4 "size": 2212772,
5 "siteId": "63938b302ea6b0aa6f3d8745",
6 "hostedUrl": "https://s3.amazonaws.com/webflow-prod-assets/63938b302ea6b0aa6f3d8745/63e5889e7fe4eafa7384cea4_Vectors-Wrapper.svg",
7 "originalFileName": "Candy-Wrapper.svg",
8 "displayName": "63e5889e7fe4eafa7384cea4_Candy-Wrapper.png",
9 "lastUpdated": "2023-03-01T23:42:57.862Z",
10 "createdOn": "2023-02-09T23:58:22.294Z",
11 "variants": [
12 {
13 "hostedUrl": "https://s3.amazonaws.com/webflow-prod-assets/6258612d1ee792848f805dcf/660d83ce30f3a599ddb0bdb3_Screenshot%202024-03-20%20at%209.03.24%E2%80%AFPM-p-500.png",
14 "originalFileName": "Screenshot%202024-03-20%20at%209.03.24%E2%80%AFPM-p-500.png",
15 "displayName": "660d83ce30f3a599ddb0bdb3_Screenshot%202024-03-20%20at%209.03.24%E2%80%AFPM-p-500.png",
16 "format": "png",
17 "width": 500,
18 "height": null,
19 "quality": 100,
20 "error": null
21 }
22 ],
23 "altText": "A single candy wrapper"
24}

Update details of an Asset.

Required scope | assets:write

Was this page helpful?
Previous

List Asset Folders

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

asset_idstringRequiredformat: "objectid"
Unique identifier for an Asset on a site

Query parameters

localeIdstringOptional

Unique identifier for a specific Locale.

Learn more about localization.

Request

Information about the asset to update
displayNamestringOptional
A human readable name for the asset. This value is not localizable.
altTextstringOptional
Alternate text describing the image

Response

Request was successful
idstringRead-onlyformat: "objectid"
Unique identifier for this asset
contentTypestringRead-onlyformat: "mime-type"
File format type
sizeintegerRead-only
size in bytes
siteIdstringRead-onlyformat: "objectid"
Unique identifier for the site that hosts this asset
hostedUrlstringRead-onlyformat: "uri"
Link to the asset
originalFileNamestringRead-only
Original file name at the time of upload
displayNamestring
Display name of the asset
lastUpdatedstringRead-onlyformat: "date-time"
Date the asset metadata was last updated
createdOnstringRead-onlyformat: "date-time"
Date the asset metadata was created
variantslist of objects

A list of asset variants created by Webflow to serve your site responsively.

altTextstring or null
The visual description of the asset
folderIdstring or nullformat: "objectid"

The ID of the folder the asset belongs to, or null if the asset is at the site root. This field is present only in list responses (GET /sites/{site_id}/assets).

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error